Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.math.cover
Class Matrix3DSolutionOutput

    java.lang.Object
      net.sf.j3d.math.cover.Matrix3DSolutionOutput

All Implemented Interfaces:
  LinkedMatrix.SolutionOutput

    public class Matrix3DSolutionOutput

extends Object
implements LinkedMatrix.SolutionOutput

Constructor Summary
`Matrix3DSolutionOutput(int x, int y, int z, int off)`

Method Summary
`static boolean[][][]` | `addTriangle(boolean[][][] piece, Triangle t)`
`static boolean[][][]` | `addVector(boolean[][][] piece, Vector v)`
`boolean` | `checkComplete()`
`void` | `init()`
`void` | `loadPieceFromGTS(int p, InputStream in)`
`void` | `loadPieceFromGTS(int piece, String file)`
`void` | `nextColumn(int column)`
`void` | `nextRow()`
`void` | `print()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Matrix3DSolutionOutput

    public Matrix3DSolutionOutput(int x,
                                  int y,
                                  int z,
                                  int off)
                           throws FileNotFoundException

Throws:
  `FileNotFoundException`

Method Detail

### init

    public void init()

### nextColumn

    public void nextColumn(int column)

  Specified by:
    `nextColumn` in interface `LinkedMatrix.SolutionOutput`

### nextRow

    public void nextRow()

  Specified by:
    `nextRow` in interface `LinkedMatrix.SolutionOutput`

### checkComplete

    public boolean checkComplete()

### loadPieceFromGTS

    public void loadPieceFromGTS(int piece,
                                 String file)
                          throws IOException

  Throws:
    `IOException`

### loadPieceFromGTS

    public void loadPieceFromGTS(int p,
                                 InputStream in)
                          throws IOException

  Throws:
    `IOException`

### addTriangle

    public static boolean[][][] addTriangle(boolean[][][] piece,
                                            Triangle t)

### addVector

    public static boolean[][][] addVector(boolean[][][] piece,
                                          Vector v)

### print

    public void print()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD